Loading...
Searching...
No Matches
CTaskExecutorObject Class Referenceabstract

Interface for objects that can execute tasks. More...

`#include <src/object/interface/task_executor_object.h>`

Inheritance diagram for CTaskExecutorObject:
[legend]

## Public Member Functions

| CTaskExecutorObject (ObjectInterfaceTypes &types)
virtual Error | StartTaskTake ()=0
| Start a foreground task.
virtual Error | StartTaskManip (TaskManipOrder order, TaskManipArm arm)=0
virtual Error | StartTaskFlag (TaskFlagOrder order, int rank)=0
virtual Error | StartTaskBuild (ObjectType type)=0
virtual Error | StartTaskSearch ()=0
virtual Error | StartTaskDeleteMark ()=0
virtual Error | StartTaskTerraform ()=0
virtual Error | StartTaskRecover ()=0
virtual Error | StartTaskFire (float delay)=0
virtual Error | StartTaskFireAnt (Math::Vector impact)=0
virtual Error | StartTaskSpiderExplo ()=0
virtual Error | StartTaskPen (bool down, TraceColor color=TraceColor::Default)=0
virtual Error | StartTaskWait (float time)=0
| Start a foreground task (scriptable tasks, not in UI).
virtual Error | StartTaskAdvance (float length)=0
virtual Error | StartTaskTurn (float angle)=0
virtual Error | StartTaskGoto (Math::Vector pos, float altitude, TaskGotoGoal goalMode, TaskGotoCrash crashMode)=0
virtual Error | StartTaskInfo (const char *name, float value, float power, bool bSend)=0
virtual Error | StartTaskShield (TaskShieldMode mode, float delay=1000.0f)=0
| Starts a background task.
virtual Error | StartTaskGunGoal (float dirV, float dirH)=0
virtual bool | IsForegroundTask ()=0
| Is executing foreground task?
virtual bool | IsBackgroundTask ()=0
| Is executing background task?
virtual CForegroundTask * | GetForegroundTask ()=0
| Return the foreground task.
virtual CBackgroundTask * | GetBackgroundTask ()=0
| Return the background task.
virtual void | StopForegroundTask ()=0
| Stop foreground task.
virtual void | StopBackgroundTask ()=0
| Stop background task.

## Detailed Description

Interface for objects that can execute tasks.

## Member Function Documentation

## StartTaskTake()

virtual Error CTaskExecutorObject::StartTaskTake | ( |  | ) |

pure virtual

Start a foreground task.

Implemented in CTaskExecutorObjectImpl.

## StartTaskWait()

virtual Error CTaskExecutorObject::StartTaskWait | ( | float | time | ) |

pure virtual

Start a foreground task (scriptable tasks, not in UI).

Implemented in CTaskExecutorObjectImpl.

## StartTaskShield()

virtual Error CTaskExecutorObject::StartTaskShield | ( | TaskShieldMode | mode,
|  | float | delay = 1000.0f )

pure virtual

Starts a background task.

Implemented in CTaskExecutorObjectImpl.

## IsForegroundTask()

virtual bool CTaskExecutorObject::IsForegroundTask | ( |  | ) |

pure virtual

Is executing foreground task?

Implemented in CTaskExecutorObjectImpl.

## IsBackgroundTask()

virtual bool CTaskExecutorObject::IsBackgroundTask | ( |  | ) |

pure virtual

Is executing background task?

Implemented in CTaskExecutorObjectImpl.

## GetForegroundTask()

virtual CForegroundTask * CTaskExecutorObject::GetForegroundTask | ( |  | ) |

pure virtual

Return the foreground task.

Implemented in CTaskExecutorObjectImpl.

## GetBackgroundTask()

virtual CBackgroundTask * CTaskExecutorObject::GetBackgroundTask | ( |  | ) |

pure virtual

Return the background task.

Implemented in CTaskExecutorObjectImpl.

## StopForegroundTask()

virtual void CTaskExecutorObject::StopForegroundTask | ( |  | ) |

pure virtual

Stop foreground task.

Implemented in CTaskExecutorObjectImpl.

## StopBackgroundTask()

virtual void CTaskExecutorObject::StopBackgroundTask | ( |  | ) |

pure virtual

Stop background task.

Implemented in CTaskExecutorObjectImpl.

The documentation for this class was generated from the following file:

- src/object/interface/task_executor_object.h